Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.xml
Interface XmlObjectList

public interface XmlObjectList

Interface to represent lists of XmlObject instances returned from a query. Used also as a convenient typed way of collecting XmlObject instances.

Nested Class Summary
`static class` | `XmlObjectList.Factory` Static factory class for creating new instances of XmlObjectList

Method Summary
`void` | `add(com.bea.xml.XmlObject xml)` Adds a XmlObject to the end of the list.
`void` | `addAll(com.bea.xml.XmlObject[] xmlArray)` Appends an array of XmlObject instances to this list.
`void` | `addAll(XmlObjectList xmlList)` Appends the contents of another list to this list.
`void` | `clear()` Clears out the contents of this list.
`com.bea.xml.XmlObject` | `get(int index)` Gets the XmlObject at a specified position in the list.
`boolean` | `isEmpty()` Tests if this XmlList is empty.
`Iterator` | `iterator()` Returns an Iterator over all the XmlObject instances contained in this list.
`int` | `size()` Returns the number of XmlObject instances contained in this list.
`com.bea.xml.XmlObject[]` | `toArray()` Returns a copy of the contents of the XmlList in a newly created array of XmlObjects.

Method Detail

### add

    public void add(com.bea.xml.XmlObject xml)

  Adds a XmlObject to the end of the list.

  Parameters:
    `xml` - the XmlObject instance to add to the list

### addAll

    public void addAll(XmlObjectList xmlList)

  Appends the contents of another list to this list.

  Parameters:
    `xmlList` - the list which is to be appended to this list.

### addAll

    public void addAll(com.bea.xml.XmlObject[] xmlArray)

  Appends an array of XmlObject instances to this list.

  Parameters:
    `xmlArray` - the array which is to be appended to this list.

### clear

    public void clear()

  Clears out the contents of this list. After this operation, `isEmpty()` will return `true`.

### get

    public com.bea.xml.XmlObject get(int index)

  Gets the XmlObject at a specified position in the list.

  Parameters:
    `index` - the specified position
  Returns:
    the XmlObject at the position in this list.
  Throws:
    `IndexOutOfBoundsException` - if `(index < 0) || (index >= size())`

### isEmpty

    public boolean isEmpty()

  Tests if this XmlList is empty. This is equivalent to ``size()` == 0`.

  Returns:
    boolean indicating if this list is empty.

### iterator

    public Iterator iterator()

  Returns an Iterator over all the XmlObject instances contained in this list. This iterator will throw an UnsupportedOperationException in response to its remove method.

  Returns:
    Iterator over the contents of this list

### size

    public int size()

  Returns the number of XmlObject instances contained in this list.

  Returns:
    int size of the list.

### toArray

    public com.bea.xml.XmlObject[] toArray()

  Returns a copy of the contents of the XmlList in a newly created array of XmlObjects.

  Returns:
    array of XmlObject instances which is a copy of the contents of the list.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD